E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

GSmtp::ServerProtocolText Member List

This is the complete list of members for GSmtp::ServerProtocolText, including all inherited members.

greeting() const override | GSmtp::ServerProtocolText | virtual
hello(const std::string &smtp_peer_name_from_helo) const override | GSmtp::ServerProtocolText | virtual
received(const std::string &smtp_peer_name_from_helo, bool authenticated, bool secure) const override | GSmtp::ServerProtocolText | virtual
receivedLine(const std::string &smtp_peer_name_from_helo, const std::string &peer_address, const std::string &thishost, bool authenticated, bool secure) | GSmtp::ServerProtocolText | static
ServerProtocolText(const std::string &code_ident, const std::string &thishost, const GNet::Address &peer_address) | GSmtp::ServerProtocolText |
~Text() (defined in GSmtp::ServerProtocol::Text) | GSmtp::ServerProtocol::Text | virtual